Bug 1210677 - CVE-2015-1860 CVE-2015-1859 CVE-2015-1858 qt: various flaws [fedora-all]
Summary: CVE-2015-1860 CVE-2015-1859 CVE-2015-1858 qt: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-1858 CVE-2015-1859 CVE-2015-1860
TreeView+ depends on / blocked
 
Reported: 2015-04-10 10:52 UTC by Vasyl Kaigorodov
Modified: 2015-04-30 11:45 UTC (History)
9 users (show)

Fixed In Version: qt-4.8.6-28.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 16:09:58 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-10 10:52:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-04-10 10:52:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1210673,1210677

# Description of your update
notes=Security fix for CVE-2015-1858

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1210673,1210677

Comment 2 Vasyl Kaigorodov 2015-04-10 10:52:39 UTC
Adding parent bug 1210674 (for CVE-2015-1859).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1210677,1210673,1210674

# Description of your update
notes=Security fix for CVE-2015-1858, CVE-2015-1859

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1210677,1210673,1210674

Comment 3 Vasyl Kaigorodov 2015-04-10 10:52:55 UTC
Adding parent bug 1210675 (for CVE-2015-1860).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1210677,1210673,1210674,1210675

# Description of your update
notes=Security fix for CVE-2015-1859, CVE-2015-1858, CVE-2015-1860

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1210677,1210673,1210674,1210675

Comment 4 Ngo Than 2015-04-10 10:57:03 UTC
i'm working on it

Comment 5 Fedora Update System 2015-04-13 21:15:38 UTC
qt-4.8.6-28.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt-4.8.6-28.fc21

Comment 6 Fedora Update System 2015-04-14 07:46:19 UTC
qt-4.8.6-28.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt-4.8.6-28.fc22

Comment 7 Fedora Update System 2015-04-18 09:30:10 UTC
Package qt-4.8.6-28.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.8.6-28.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6252/qt-4.8.6-28.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-04-23 16:09:58 UTC
qt-4.8.6-28.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-30 11:45:36 UTC
qt-4.8.6-28.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.